/*===========================================================================*/
/*   (Cfa/walk.scm)                                                          */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Cfa/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;

typedef struct BgL_pragmazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_pragmazf2cinfozf2_bglt;

typedef struct BgL_getfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_getfieldzf2cinfozf2_bglt;

typedef struct BgL_setfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setfieldzf2cinfozf2_bglt;

typedef struct BgL_newzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_newzf2cinfozf2_bglt;

typedef struct BgL_isazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_isazf2cinfozf2_bglt;

typedef struct BgL_vrefzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vrefzf2cinfozf2_bglt;

typedef struct BgL_vsetz12zf2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vsetz12zf2cinfoze0_bglt;

typedef struct BgL_vlengthzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vlengthzf2cinfozf2_bglt;

typedef struct BgL_prezd2valloczf2cinfoz20_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2valloczf2cinfoz20_bglt;

typedef struct BgL_valloczf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_valloczf2cinfozf2_bglt;

typedef struct BgL_valloczf2cinfozb2optimz40_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   bool_t BgL_stackablezf3zf3;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_valloczf2cinfozb2optimz40_bglt;


BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl_methodzd2initzd2zzcfa_walkz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
extern obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
BGL_IMPORT obj_t string_to_bstring(char *);
extern obj_t BGl_showzd2cfazd2resultsz00zzcfa_showz00(obj_t);
extern obj_t BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzcfa_walkz00();
extern obj_t BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_showzd2cfazd2nbzd2iterationszd2zzcfa_showz00();
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_walkz00();
extern obj_t BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
extern obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
extern obj_t BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00();
BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_showz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_cfazd2walkz12zc0zzcfa_walkz00(obj_t);
extern obj_t BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl__cfazd2walkz12zc0zzcfa_walkz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcfa_walkz00 = BUNSPEC;
extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_walkz00();
static obj_t __cnst[ 3 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_cfazd2walkz12zd2envz12zzcfa_walkz00, BgL_bgl__cfaza7d2walkza712za7c0za7za7cfa_walkza7005527z00, BGl__cfazd2walkz12zc0zzcfa_walkz00, 0L, 1 );
DEFINE_STRING( BGl_string5498z00zzcfa_walkz00, BgL_bgl_string5498za700za7za7cfa_walkza7005528z00, "(unpatch-vector-set!) (cfa inline) pass-started ", 48 );
DEFINE_STRING( BGl_string5497z00zzcfa_walkz00, BgL_bgl_string5497za700za7za7cfa_walkza7005529z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string5496z00zzcfa_walkz00, BgL_bgl_string5496za700za7za7cfa_walkza7005530z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string5495z00zzcfa_walkz00, BgL_bgl_string5495za700za7za7cfa_walkza7005531z00, " error", 6 );
DEFINE_STRING( BGl_string5494z00zzcfa_walkz00, BgL_bgl_string5494za700za7za7cfa_walkza7005532z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string5493z00zzcfa_walkz00, BgL_bgl_string5493za700za7za7cfa_walkza7005533z00, "   . ", 5 );
DEFINE_STRING( BGl_string5492z00zzcfa_walkz00, BgL_bgl_string5492za700za7za7cfa_walkza7005534z00, "Cfa", 3 );
extern obj_t BGl_unpatchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00;



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_walkz00(long BgL_checksumz00_1643, char * BgL_fromz00_1644)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_walkz00(); 
BGl_cnstzd2initzd2zzcfa_walkz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_walkz00()
{ AN_OBJECT;
{ /* ./Cfa/walk.scm 24 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cfa_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_walkz00()
{ AN_OBJECT;
{ /* ./Cfa/walk.scm 24 */
{ /* ./Cfa/walk.scm 24 */
obj_t BgL_cportz00_1636;
BgL_cportz00_1636 = 
open_input_string(BGl_string5498z00zzcfa_walkz00); 
{ 
long BgL_iz00_1637;
BgL_iz00_1637 = ((long)2); 
BgL_loopz00_1638:
{ /* ./Cfa/walk.scm 24 */
bool_t BgL_test5500z00_1639;
BgL_test5500z00_1639 = 
(BgL_iz00_1637==((long)-1)); 
if(BgL_test5500z00_1639)
{ /* ./Cfa/walk.scm 24 */
return BUNSPEC;}  else 
{ /* ./Cfa/walk.scm 24 */
{ /* ./Cfa/walk.scm 24 */
obj_t BgL_arg5502z00_1640;
{ /* ./Cfa/walk.scm 24 */
obj_t BgL_list5505z00_1641;
BgL_list5505z00_1641 = 
MAKE_PAIR(BgL_cportz00_1636, BNIL); 
BgL_arg5502z00_1640 = 
BGl_readz00zz__readerz00(BgL_list5505z00_1641); } 
{ /* ./Cfa/walk.scm 24 */
int BgL_auxz00_1662;
BgL_auxz00_1662 = 
(int)(BgL_iz00_1637); 
CNST_TABLE_SET(BgL_auxz00_1662, BgL_arg5502z00_1640); } } 
{ /* ./Cfa/walk.scm 24 */
int BgL_auxz00_1642;
{ /* ./Cfa/walk.scm 24 */
long BgL_auxz00_1665;
BgL_auxz00_1665 = 
(BgL_iz00_1637-((long)1)); 
BgL_auxz00_1642 = 
(int)(BgL_auxz00_1665); } 
{ 
long BgL_iz00_1668;
BgL_iz00_1668 = 
(long)(BgL_auxz00_1642); 
BgL_iz00_1637 = BgL_iz00_1668; 
goto BgL_loopz00_1638;} } } } } } } 
}



/* cfa-walk! */
BGL_EXPORTED_DEF obj_t BGl_cfazd2walkz12zc0zzcfa_walkz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* ./Cfa/walk.scm 59 */
{ /* ./Cfa/walk.scm 60 */
obj_t BgL_list4525z00_1004;
{ /* ./Cfa/walk.scm 60 */
obj_t BgL_arg4529z00_1006;
{ /* ./Cfa/walk.scm 60 */
obj_t BgL_arg4533z00_1008;
{ /* ./Cfa/walk.scm 60 */
obj_t BgL_auxz00_1670;
BgL_auxz00_1670 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg4533z00_1008 = 
MAKE_PAIR(BgL_auxz00_1670, BNIL); } 
BgL_arg4529z00_1006 = 
MAKE_PAIR(BGl_string5492z00zzcfa_walkz00, BgL_arg4533z00_1008); } 
BgL_list4525z00_1004 = 
MAKE_PAIR(BGl_string5493z00zzcfa_walkz00, BgL_arg4529z00_1006); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list4525z00_1004); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string5492z00zzcfa_walkz00; 
{ 
obj_t BgL_hooksz00_1009;obj_t BgL_hnamesz00_1010;
{ /* ./Cfa/walk.scm 60 */
obj_t BgL_arg4537z00_1012;
BgL_arg4537z00_1012 = BNIL; 
BgL_hooksz00_1009 = BgL_arg4537z00_1012; 
BgL_hnamesz00_1010 = BNIL; 
BgL_loopz00_1011:
{ /* ./Cfa/walk.scm 60 */
bool_t BgL_test4542z00_1015;
BgL_test4542z00_1015 = 
NULLP(BgL_hooksz00_1009); 
if(BgL_test4542z00_1015)
{ /* ./Cfa/walk.scm 60 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* ./Cfa/walk.scm 60 */
bool_t BgL_test4543z00_1016;
{ /* ./Cfa/walk.scm 60 */
obj_t BgL_fun4558z00_1022;
BgL_fun4558z00_1022 = 
CAR(BgL_hooksz00_1009); 
{ /* ./Cfa/walk.scm 60 */
obj_t BgL_auxz00_1682;
BgL_auxz00_1682 = 
PROCEDURE_ENTRY(BgL_fun4558z00_1022)(BgL_fun4558z00_1022, BEOA); 
BgL_test4543z00_1016 = 
CBOOL(BgL_auxz00_1682); } } 
if(BgL_test4543z00_1016)
{ /* ./Cfa/walk.scm 60 */
{ /* ./Cfa/walk.scm 60 */
obj_t BgL_arg4545z00_1017;obj_t BgL_arg4546z00_1018;
BgL_arg4545z00_1017 = 
CDR(BgL_hooksz00_1009); 
BgL_arg4546z00_1018 = 
CDR(BgL_hnamesz00_1010); 
{ 
obj_t BgL_hnamesz00_1690;obj_t BgL_hooksz00_1689;
BgL_hooksz00_1689 = BgL_arg4545z00_1017; 
BgL_hnamesz00_1690 = BgL_arg4546z00_1018; 
BgL_hnamesz00_1010 = BgL_hnamesz00_1690; 
BgL_hooksz00_1009 = BgL_hooksz00_1689; 
goto BgL_loopz00_1011;} } }  else 
{ /* ./Cfa/walk.scm 60 */
{ /* ./Cfa/walk.scm 60 */
obj_t BgL_arg4553z00_1021;
BgL_arg4553z00_1021 = 
CAR(BgL_hnamesz00_1010); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string5492z00zzcfa_walkz00, BGl_string5494z00zzcfa_walkz00, BgL_arg4553z00_1021); } } } } } } 
BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(BgL_globalsz00_1); 
BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00(); 
BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(BgL_globalsz00_1); 
{ /* ./Cfa/walk.scm 71 */
obj_t BgL_iterationzd2rootszd2_1023;
BgL_iterationzd2rootszd2_1023 = 
BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(BgL_globalsz00_1); 
BGl_showzd2cfazd2nbzd2iterationszd2zzcfa_showz00(); 
{ /* ./Cfa/walk.scm 75 */
obj_t BgL_globalsz00_1024;
BgL_globalsz00_1024 = 
BGl_removezd2varzd2zzast_removez00(
CNST_TABLE_REF(((long)1)), BgL_globalsz00_1); 
BGl_showzd2cfazd2resultsz00zzcfa_showz00(BgL_globalsz00_1024); 
{ /* ./Cfa/walk.scm 79 */
obj_t BgL_additionalz00_1025;
BgL_additionalz00_1025 = 
BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(BgL_globalsz00_1024); 
BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_1024); 
{ /* ./Cfa/walk.scm 83 */
bool_t BgL_test4567z00_1026;
{ /* ./Cfa/walk.scm 83 */
bool_t BgL_test4569z00_1027;
{ /* ./Cfa/walk.scm 83 */
bool_t BgL_res5466z00_1615;
{ /* ./Cfa/walk.scm 83 */
obj_t BgL_objz00_1611;
BgL_objz00_1611 = BGl_za2profilezd2modeza2zd2zzengine_paramz00; 
if(
INTEGERP(BgL_objz00_1611))
{ /* ./Cfa/walk.scm 83 */
BgL_res5466z00_1615 = ((bool_t)1); }  else 
{ /* ./Cfa/walk.scm 83 */
BgL_res5466z00_1615 = 
REALP(BgL_objz00_1611); } } 
BgL_test4569z00_1027 = BgL_res5466z00_1615; } 
if(BgL_test4569z00_1027)
{ /* ./Cfa/walk.scm 83 */
BgL_test4567z00_1026 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2profilezd2modeza2zd2zzengine_paramz00, 
BINT(((long)0))); }  else 
{ /* ./Cfa/walk.scm 83 */
BgL_test4567z00_1026 = ((bool_t)0); } } 
if(BgL_test4567z00_1026)
{ /* ./Cfa/walk.scm 83 */BFALSE; }  else 
{ /* ./Cfa/walk.scm 83 */
BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_1024); } } 
BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(); 
BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_1024); 
{ /* ./Cfa/walk.scm 90 */
obj_t BgL_valuez00_1028;
{ /* ./Cfa/walk.scm 90 */
obj_t BgL_arg4618z00_1048;
BgL_arg4618z00_1048 = 
bgl_append2(BgL_additionalz00_1025, BgL_globalsz00_1024); 
BgL_valuez00_1028 = 
BGl_shrinkifyz12z12zzast_shrinkifyz00(BgL_arg4618z00_1048); } 
{ /* ./Cfa/walk.scm 90 */
bool_t BgL_test4574z00_1029;
{ /* ./Cfa/walk.scm 90 */
long BgL_n1z00_1616;
BgL_n1z00_1616 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test4574z00_1029 = 
(BgL_n1z00_1616>((long)0)); } 
if(BgL_test4574z00_1029)
{ /* ./Cfa/walk.scm 90 */
{ /* ./Cfa/walk.scm 90 */
obj_t BgL_port4523z00_1030;
BgL_port4523z00_1030 = 
BGL_CURRENT_ERROR_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_port4523z00_1030); 
display_string(BGl_string5495z00zzcfa_walkz00, BgL_port4523z00_1030); 
{ /* ./Cfa/walk.scm 90 */
char * BgL_arg4579z00_1031;
{ /* ./Cfa/walk.scm 90 */
bool_t BgL_test4581z00_1032;
{ /* ./Cfa/walk.scm 90 */
bool_t BgL_test4582z00_1033;
{ /* ./Cfa/walk.scm 90 */
bool_t BgL_res5467z00_1624;
{ /* ./Cfa/walk.scm 90 */
obj_t BgL_objz00_1618;
BgL_objz00_1618 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
{ /* ./Cfa/walk.scm 90 */
bool_t BgL_test1396z00_1619;
BgL_test1396z00_1619 = 
INTEGERP(BgL_objz00_1618); 
if(BgL_test1396z00_1619)
{ /* ./Cfa/walk.scm 90 */
BgL_res5467z00_1624 = ((bool_t)1); }  else 
{ /* ./Cfa/walk.scm 90 */
bool_t BgL_test1397z00_1620;
BgL_test1397z00_1620 = 
REALP(BgL_objz00_1618); 
if(BgL_test1397z00_1620)
{ /* ./Cfa/walk.scm 90 */
double BgL_arg1399z00_1621;
BgL_arg1399z00_1621 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_objz00_1618)); 
{ /* ./Cfa/walk.scm 90 */
double BgL_auxz00_1727;
BgL_auxz00_1727 = 
REAL_TO_DOUBLE(BgL_objz00_1618); 
BgL_res5467z00_1624 = 
(BgL_auxz00_1727==BgL_arg1399z00_1621); } }  else 
{ /* ./Cfa/walk.scm 90 */
BgL_res5467z00_1624 = ((bool_t)0); } } } } 
BgL_test4582z00_1033 = BgL_res5467z00_1624; } 
if(BgL_test4582z00_1033)
{ /* ./Cfa/walk.scm 90 */
BgL_test4581z00_1032 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* ./Cfa/walk.scm 90 */
BgL_test4581z00_1032 = ((bool_t)0); } } 
if(BgL_test4581z00_1032)
{ /* ./Cfa/walk.scm 90 */
BgL_arg4579z00_1031 = "s"; }  else 
{ /* ./Cfa/walk.scm 90 */
BgL_arg4579z00_1031 = ""; } } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg4579z00_1031), BgL_port4523z00_1030); } 
display_string(BGl_string5496z00zzcfa_walkz00, BgL_port4523z00_1030); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port4523z00_1030); } 
{ /* ./Cfa/walk.scm 90 */
obj_t BgL_list4589z00_1034;
{ /* ./Cfa/walk.scm 90 */
obj_t BgL_auxz00_1738;
BgL_auxz00_1738 = 
BINT(((long)-1)); 
BgL_list4589z00_1034 = 
MAKE_PAIR(BgL_auxz00_1738, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list4589z00_1034);} }  else 
{ 
obj_t BgL_hooksz00_1035;obj_t BgL_hnamesz00_1036;
{ /* ./Cfa/walk.scm 90 */
obj_t BgL_arg4592z00_1038;obj_t BgL_arg4593z00_1039;
{ /* ./Cfa/walk.scm 90 */
obj_t BgL_list4596z00_1040;
BgL_list4596z00_1040 = 
MAKE_PAIR(BGl_unpatchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00, BNIL); 
BgL_arg4592z00_1038 = BgL_list4596z00_1040; } 
BgL_arg4593z00_1039 = 
CNST_TABLE_REF(((long)2)); 
BgL_hooksz00_1035 = BgL_arg4592z00_1038; 
BgL_hnamesz00_1036 = BgL_arg4593z00_1039; 
BgL_loopz00_1037:
{ /* ./Cfa/walk.scm 90 */
bool_t BgL_test4598z00_1041;
BgL_test4598z00_1041 = 
NULLP(BgL_hooksz00_1035); 
if(BgL_test4598z00_1041)
{ /* ./Cfa/walk.scm 90 */
return BgL_valuez00_1028;}  else 
{ /* ./Cfa/walk.scm 90 */
bool_t BgL_test4599z00_1042;
{ /* ./Cfa/walk.scm 90 */
obj_t BgL_fun4613z00_1047;
BgL_fun4613z00_1047 = 
CAR(BgL_hooksz00_1035); 
{ /* ./Cfa/walk.scm 90 */
obj_t BgL_auxz00_1747;
BgL_auxz00_1747 = 
PROCEDURE_ENTRY(BgL_fun4613z00_1047)(BgL_fun4613z00_1047, BEOA); 
BgL_test4599z00_1042 = 
CBOOL(BgL_auxz00_1747); } } 
if(BgL_test4599z00_1042)
{ /* ./Cfa/walk.scm 90 */
{ /* ./Cfa/walk.scm 90 */
obj_t BgL_arg4601z00_1043;obj_t BgL_arg4602z00_1044;
BgL_arg4601z00_1043 = 
CDR(BgL_hooksz00_1035); 
BgL_arg4602z00_1044 = 
CDR(BgL_hnamesz00_1036); 
{ 
obj_t BgL_hnamesz00_1755;obj_t BgL_hooksz00_1754;
BgL_hooksz00_1754 = BgL_arg4601z00_1043; 
BgL_hnamesz00_1755 = BgL_arg4602z00_1044; 
BgL_hnamesz00_1036 = BgL_hnamesz00_1755; 
BgL_hooksz00_1035 = BgL_hooksz00_1754; 
goto BgL_loopz00_1037;} } }  else 
{ /* ./Cfa/walk.scm 90 */
{ /* ./Cfa/walk.scm 90 */
obj_t BgL_arg4608z00_1046;
BgL_arg4608z00_1046 = 
CAR(BgL_hnamesz00_1036); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string5497z00zzcfa_walkz00, BgL_arg4608z00_1046);} } } } } } } } } } } } 
}



/* _cfa-walk! */
obj_t BGl__cfazd2walkz12zc0zzcfa_walkz00(obj_t BgL_envz00_1633, obj_t BgL_globalsz00_1634)
{ AN_OBJECT;
{ /* ./Cfa/walk.scm 59 */
return 
BGl_cfazd2walkz12zc0zzcfa_walkz00(BgL_globalsz00_1634);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_walkz00()
{ AN_OBJECT;
{ /* ./Cfa/walk.scm 24 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_walkz00()
{ AN_OBJECT;
{ /* ./Cfa/walk.scm 24 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)12493), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(((long)34514), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_collectz00(((long)25521), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long)47065), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long)17824), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_showz00(((long)40536), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)2565), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)0), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long)0), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)43477), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_typez00(((long)31186), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long)55906), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(((long)18765), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long)20474), "cfa_walk"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(((long)46256), "cfa_walk");} 
}

